<div class="offset">
    <div class="content" fxLayoutGap="16px grid">
        <div [fxFlex]="(100/gridColumns) + '%'" fxFlex="350px" fxFlex.xs="100%" fxFlex.sm="33%"
            *ngFor="let project of projects; let last = last">

            <mat-card class="mat-elevation-z4">
                <mat-card-header>
                    <mat-card-title>{{project.name}}</mat-card-title>
                </mat-card-header>
                <img mat-card-image [src]="project.icon">
                <mat-card-content>
                    <p>
                        {{project.description}}
                    </p>
                </mat-card-content>
                <mat-card-actions>
                    <button mat-button>
                        <span *ngIf="last">
                            <mat-icon>note_add</mat-icon>
                            <a [routerLink]="['project']" [state]="{ data: project}"> Add</a>
                        </span>
                        <span *ngIf="!last">
                            <mat-icon>edit</mat-icon>
                            <a [routerLink]="['project']" [state]="{ data: project}"> Edit</a>
                        </span>
                    </button>
                    <button mat-button matBadge={{project.numberOfLikes.length}} matBadgePosition="before" [disabled]="project.canLike === false"
                        matBadgeColor="accent" (click)="like(project)">
                        <mat-icon>thumb_up</mat-icon>
                        Like
                    </button>
                    <button mat-button>
                        <mat-icon>link</mat-icon>
                        <a [href]="project.url" target="_blank"> GitLab </a>
                    </button>
                    <span *ngIf="project.api">
                        <button mat-button>
                            <mat-icon>link</mat-icon>
                            <a [href]="project.api" target="_blank"> APIs </a>
                        </button>
                    </span>
                </mat-card-actions>
            </mat-card>
        </div>
    </div>
</div>